uuid: 7cc2d52d-2b0d-47f5-9242-80bc604a2b19
langcode: en
status: true
dependencies:
  module:
    - file
id: config_sync.module.file
snapshotSet: config_sync
extensionType: module
extensionName: file
items:
  -
    collection: ''
    name: file.settings
    data:
      description:
        type: textfield
        length: 128
      icon:
        directory: core/modules/file/icons
      make_unused_managed_files_temporary: false
  -
    collection: ''
    name: views.view.files
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - file
          - user
      id: files
      label: Files
      module: file
      description: 'Find and manage files.'
      tag: default
      base_table: file_managed
      base_field: fid
      display:
        default:
          display_plugin: default
          id: default
          display_title: Master
          position: 0
          display_options:
            access:
              type: perm
              options:
                perm: 'access files overview'
            cache:
              type: tag
              options: {  }
            query:
              type: views_query
              options:
                disable_sql_rewrite: false
                distinct: false
                replica: false
                query_comment: ''
                query_tags: {  }
            exposed_form:
              type: basic
              options:
                submit_button: Filter
                reset_button: false
                reset_button_label: Reset
                exposed_sorts_label: 'Sort by'
                expose_sort_order: true
                sort_asc_label: Asc
                sort_desc_label: Desc
            pager:
              type: mini
              options:
                items_per_page: 50
                offset: 0
                id: 0
                total_pages: 0
                tags:
                  previous: '‹ Previous'
                  next: 'Next ›'
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
            style:
              type: table
              options:
                grouping: {  }
                row_class: ''
                default_row_class: true
                override: true
                sticky: false
                caption: ''
                summary: ''
                description: ''
                columns:
                  fid: fid
                  filename: filename
                  filemime: filemime
                  filesize: filesize
                  status: status
                  created: created
                  changed: changed
                  count: count
                info:
                  fid:
                    sortable: false
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  filename:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  filemime:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-medium
                  filesize:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-low
                  status:
                    sortable: false
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-low
                  created:
                    sortable: true
                    default_sort_order: desc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  changed:
                    sortable: true
                    default_sort_order: desc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  count:
                    sortable: false
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-medium
                default: changed
                empty_table: true
            row:
              type: fields
            fields:
              fid:
                id: fid
                table: file_managed
                field: fid
                alter:
                  alter_text: false
                  make_link: false
                  absolute: false
                  trim: false
                  word_boundary: false
                  ellipsis: false
                  strip_tags: false
                  html: false
                hide_empty: false
                empty_zero: false
                relationship: none
                group_type: group
                admin_label: ''
                label: Fid
                exclude: true
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_alter_empty: true
                plugin_id: field
                entity_type: file
                entity_field: fid
              filename:
                id: filename
                table: file_managed
                field: filename
                relationship: none
                group_type: group
                admin_label: ''
                label: Name
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: false
                  ellipsis: false
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: file_link
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                plugin_id: field
                entity_type: file
                entity_field: filename
              filemime:
                id: filemime
                table: file_managed
                field: filemime
                relationship: none
                group_type: group
                admin_label: ''
                label: 'MIME type'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                type: file_filemime
                plugin_id: field
                entity_type: file
                entity_field: filemime
              filesize:
                id: filesize
                table: file_managed
                field: filesize
                relationship: none
                group_type: group
                admin_label: ''
                label: Size
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                type: file_size
                plugin_id: field
                entity_type: file
                entity_field: filesize
              status:
                id: status
                table: file_managed
                field: status
                relationship: none
                group_type: group
                admin_label: ''
                label: Status
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                type: boolean
                settings:
                  format: custom
                  format_custom_false: Temporary
                  format_custom_true: Permanent
                plugin_id: field
                entity_type: file
                entity_field: status
              created:
                id: created
                table: file_managed
                field: created
                relationship: none
                group_type: group
                admin_label: ''
                label: 'Upload date'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                type: timestamp
                settings:
                  date_format: medium
                  custom_date_format: ''
                  timezone: ''
                plugin_id: field
                entity_type: file
                entity_field: created
              changed:
                id: changed
                table: file_managed
                field: changed
                relationship: none
                group_type: group
                admin_label: ''
                label: 'Changed date'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                type: timestamp
                settings:
                  date_format: medium
                  custom_date_format: ''
                  timezone: ''
                plugin_id: field
                entity_type: file
                entity_field: changed
              count:
                id: count
                table: file_usage
                field: count
                relationship: fid
                group_type: sum
                admin_label: ''
                label: 'Used in'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: true
                  path: 'admin/content/files/usage/{{ fid }}'
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                set_precision: false
                precision: 0
                decimal: .
                separator: ','
                format_plural: true
                format_plural_string: !!binary MSBwbGFjZQNAY291bnQgcGxhY2Vz
                prefix: ''
                suffix: ''
                plugin_id: numeric
            filters:
              filename:
                id: filename
                table: file_managed
                field: filename
                relationship: none
                group_type: group
                admin_label: ''
                operator: word
                value: ''
                group: 1
                exposed: true
                expose:
                  operator_id: filemime_op
                  label: Filename
                  description: ''
                  use_operator: false
                  operator: filename_op
                  identifier: filename
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                  operator_limit_selection: false
                  operator_list: {  }
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                plugin_id: string
                entity_type: file
                entity_field: filename
              filemime:
                id: filemime
                table: file_managed
                field: filemime
                relationship: none
                group_type: group
                admin_label: ''
                operator: word
                value: ''
                group: 1
                exposed: true
                expose:
                  operator_id: filemime_op
                  label: 'MIME type'
                  description: ''
                  use_operator: false
                  operator: filemime_op
                  identifier: filemime
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                  operator_limit_selection: false
                  operator_list: {  }
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                plugin_id: string
                entity_type: file
                entity_field: filemime
              status:
                id: status
                table: file_managed
                field: status
                relationship: none
                group_type: group
                admin_label: ''
                operator: in
                value: {  }
                group: 1
                exposed: true
                expose:
                  operator_id: status_op
                  label: Status
                  description: ''
                  use_operator: false
                  operator: status_op
                  identifier: status
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                  reduce: false
                  operator_limit_selection: false
                  operator_list: {  }
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                plugin_id: file_status
                entity_type: file
                entity_field: status
            sorts: {  }
            title: Files
            header: {  }
            footer: {  }
            empty:
              area_text_custom:
                id: area_text_custom
                table: views
                field: area_text_custom
                empty: true
                content: 'No files available.'
                plugin_id: text_custom
            relationships:
              fid:
                id: fid
                table: file_managed
                field: fid
                relationship: none
                group_type: group
                admin_label: 'File usage'
                required: true
            arguments: {  }
            group_by: true
            show_admin_links: true
            display_extenders: {  }
          cache_metadata:
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url
              - url.query_args
              - user.permissions
            max-age: -1
            tags: {  }
        page_1:
          display_plugin: page
          id: page_1
          display_title: 'Files overview'
          position: 1
          display_options:
            path: admin/content/files
            menu:
              type: tab
              title: Files
              description: ''
              menu_name: admin
              weight: 0
              context: ''
            display_description: ''
            defaults:
              pager: true
              relationships: false
            relationships:
              fid:
                id: fid
                table: file_managed
                field: fid
                relationship: none
                group_type: group
                admin_label: 'File usage'
                required: false
            display_extenders: {  }
          cache_metadata:
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url
              - url.query_args
              - user.permissions
            max-age: -1
            tags: {  }
        page_2:
          display_plugin: page
          id: page_2
          display_title: 'File usage'
          position: 2
          display_options:
            display_description: ''
            path: admin/content/files/usage/%
            empty: {  }
            defaults:
              empty: false
              pager: false
              filters: false
              filter_groups: false
              fields: false
              group_by: false
              title: false
              arguments: false
              style: false
              row: false
              relationships: false
            pager:
              type: mini
              options:
                items_per_page: 10
                offset: 0
                id: 0
                total_pages: 0
                tags:
                  previous: '‹ Previous'
                  next: 'Next ›'
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
            filters: {  }
            filter_groups:
              operator: AND
              groups: {  }
            fields:
              entity_label:
                id: entity_label
                table: file_usage
                field: entity_label
                relationship: none
                group_type: group
                admin_label: ''
                label: Entity
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                link_to_entity: true
                plugin_id: entity_label
              type:
                id: type
                table: file_usage
                field: type
                relationship: none
                group_type: group
                admin_label: ''
                label: 'Entity type'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                plugin_id: standard
              module:
                id: module
                table: file_usage
                field: module
                relationship: none
                group_type: group
                admin_label: ''
                label: 'Registering module'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                plugin_id: standard
              count:
                id: count
                table: file_usage
                field: count
                relationship: none
                group_type: group
                admin_label: ''
                label: 'Use count'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                set_precision: false
                precision: 0
                decimal: .
                separator: ','
                format_plural: false
                format_plural_string: !!binary MQNAY291bnQ=
                prefix: ''
                suffix: ''
                plugin_id: numeric
            group_by: false
            title: 'File usage'
            arguments:
              fid:
                id: fid
                table: file_managed
                field: fid
                relationship: none
                group_type: group
                admin_label: ''
                default_action: 'not found'
                exception:
                  value: all
                  title_enable: false
                  title: All
                title_enable: true
                title: 'File usage information for {{ arguments.fid }}'
                default_argument_type: fixed
                default_argument_options:
                  argument: ''
                default_argument_skip_url: false
                summary_options:
                  base_path: ''
                  count: true
                  items_per_page: 25
                  override: false
                summary:
                  sort_order: asc
                  number_of_records: 0
                  format: default_summary
                specify_validation: false
                validate:
                  type: none
                  fail: 'not found'
                validate_options: {  }
                break_phrase: false
                not: false
                plugin_id: file_fid
                entity_type: file
                entity_field: fid
            style:
              type: table
              options:
                grouping: {  }
                row_class: ''
                default_row_class: true
                override: true
                sticky: false
                caption: ''
                summary: ''
                description: ''
                columns:
                  entity_label: entity_label
                  type: type
                  module: module
                  count: count
                info:
                  entity_label:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  type:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-medium
                  module:
                    sortable: false
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: priority-low
                  count:
                    sortable: false
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                default: entity_label
                empty_table: true
            row:
              type: fields
              options: {  }
            relationships:
              fid:
                id: fid
                table: file_managed
                field: fid
                relationship: none
                group_type: group
                admin_label: 'File usage'
                required: true
            display_extenders: {  }
          cache_metadata:
            contexts:
              - 'languages:language_interface'
              - url
              - url.query_args
              - user.permissions
            max-age: -1
            tags: {  }
